org.eclnt.jsfserver.bufferedcontent

## Interface IUploadContent

- All Superinterfaces:
    java.io.Serializable
  All Known Implementing Classes:
    DefaultUploadContent

      public interface IUploadContent
      extends java.io.Serializable

  Interface that is used to pass content that is uploaded from the client. The uploaded content is made available as one or more byte arrays (byte[]).
  This means that the whole content of an uploaded file is kept in memory. If this is a restriction (e.g. uploading big file sizes) then use `IUploadStreamContent`.
  Please use the default implementation DefaultUploadConetnt in order to extend your own implementation from.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beginPassing()` Called before the first file is transferred.
    `void` | `endPassing()` Called after all files have been passed via `passClientFile(String, byte[])`.
    `java.lang.String` | `getId()`
    `java.lang.String` | `getURL()` URL that can be passed into the upload component.
    `void` | `passClientFile(java.lang.String fileName, byte[] content)` This method passes the uploaded file content into your implementation.

- - ### Method Detail

    - #### getId

          java.lang.String getId()

    - #### getURL

          java.lang.String getURL()

      URL that can be passed into the upload component. The URL is the one used by the uploade component to send the content of a file that is to be uploaded.

    - #### beginPassing

          void beginPassing()

      Called before the first file is transferred.

    - #### passClientFile

          void passClientFile(java.lang.String fileName,
                              byte[] content)

      This method passes the uploaded file content into your implementation.

    - #### endPassing

          void endPassing()

      Called after all files have been passed via `passClientFile(String, byte[])`. The upload has ended when this method is called.

Copyright © CaptainCasa Gmbh. All Rights Reserved.